<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>HW Advanced JS #1 - Classes</title>
    <link rel="stylesheet" href="css/reset.css">
    <link rel="stylesheet" href="css/style.css">
</head>
<body>
    <div class="container">
        <h1 class="page-title">HW Advanced JS #2 - Homework2-try-catch</h1>
        <div class="task-block">
            <p class="question"><span class="quoted">Вопрос:</span>Приведите пару примеров, когда уместно использовать в коде конструкцию try...catch.</p>
            <div class="answer-wrapper">
                <p class="answer">
                    1. Наверное, когда надо отловить непредвиденную ошибку.
                    2. Когда нужно выдать свою ошибку (используется в фреймворках, чтобы реальная ошибка не отображалась простым пользователям, а, к примеру, только в режиме разработки).
                </p>
            </div>
        </div>
        <div class="task-block">
            <p class="question"><span class="quoted">Задача:</span>Дан массив books.</p>
            <ul class="reqular">
               <li>
                    Выведите этот массив на экран в виде списка (тег ul - список должен быть сгенерирован с помощью Javascript).
               </li>
               <li>
                    На странице должен находиться div с id="root", куда и нужно будет положить этот список (похожая задача была дана в модуле basic).
               </li>
               <li>
                    Перед выводом обьекта на странице, нужно проверить его на корректность (в объекте должны содержаться все три свойства - author, name, price). Если какого-то из этих свойств нету, в консоли должна высветиться ошибка с указанием - какого свойства нету в обьекте.
               </li>
               <li>
                    Те элементы массива, которые являются некорректными по условиям предыдущего пункта, не должны появиться на странице.
               </li>
            </ul> 
          
            <pre class="result">
                <div id="root"></div>
            </pre>
            
        </div>
    </div>
    

    <script src="js/task2.js"></script>
</body>
</html>